# debug {disallowed} - Dash

#### Parameters

`Debug category` - string

The debug category to activate. Use a + to specify multiple categories.

Categories will be one of the following:

\- 0 - Disables all categories

\- 1 or all - Enables all categories

\- addrman

\- bench

\- cmpctblock

\- coindb

\- db

\- estimatefee

\- http

\- leveldb

\- libevent

\- mempool

\- mempoolrej

\- net

\- proxy

\- prune

\- qt

\- rand

\- reindex

\- rpc

\- selections

\- tor

\- zmq

\- dash (all subcategories)

The dash sub-categories can be enabled individually:

\- chainlocks

\- gobject

\- instantsend

\- keepasa

\- llmq

\- llmq-dkg

\- llmq-sigs

\- mnpayments

\- mnsync

\- coinjoin

\- spork

Note: No error will be thrown even if the specified category does not match any of the above.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "debug",
"params": [null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_debug.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
